import request from '@/utils/request';

/**
 * 搜索文档列表
 */
export function listSearchDocuments(query: any) {
  return request({
    url: '/search/list',
    method: 'get',
    params: query
  });
}

/**
 * 导出搜索结果
 */
export function exportSearchDocuments(data: any) {
  return request({
    url: '/search/export',
    method: 'post',
    data: data,
    responseType: 'blob'
  });
}
